<?php

namespace App\Controller;

use Lime\App as App;

class BlogController
{

    protected App $app;
    protected $db;

    public function __construct(App $app)
    {
        $this->app = $app;
    }

    public function getPosts()
    {
        $db = $this->app["db"];
        $postsdb = new \App\DB\BlogDB($db);
        $blogPosts = $postsdb->getPosts();
        return $blogPosts;
    }

    public function addPost()
    {

        $data = json_decode(file_get_contents('php://input'));
        if ($data !== NULL) {
            $db = $this->app["db"];
            $newPost = new \App\DB\BlogDB($db);
            $newPost->addPost($data);

            return "TRUE";
        }

        return "FALSE";
    }
}
